Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.messaging
Class Endpoint

    java.lang.Object
      |
      +--javax.xml.messaging.Endpoint

Direct Known Subclasses:
  URLEndpoint

public class Endpoint
extends java.lang.Object

An opaque representation of an application endpoint. Typically, an `Endpoint` object represents a business entity, but it may represent a party of any sort. Conceptually, an `Endpoint` object is the mapping of a logical name (example, a URI) to a physical location, such as a URL.

For messaging using a provider that supports profiles, an application does not need to specify an endpoint when it sends a message because destination information will be contained in the profile-specific header. However, for point-to-point plain SOAP messaging, an application must supply an `Endpoint` object to the `SOAPConnection` method `call` to indicate the intended destination for the message. The subclass `URLEndpoint` can be used when an application wants to send a message directly to a remote party without using a messaging provider.

The default identification for an `Endpoint` object is a URI. This defines what JAXM messaging providers need to support at minimum for identification of destinations. A messaging provider needs to be configured using a deployment-specific mechanism with mappings from an endpoint to the physical details of that endpoint.

`Endpoint` objects can be created using the constructor, or they can be looked up in a naming service. The latter is more flexible because logical identifiers or even other naming schemes (such as DUNS numbers) can be bound and rebound to specific URIs.

Field Summary
`protected java.lang.String` | `id` A string that identifies the party that this `Endpoint` object represents; a URI is the default.

Constructor Summary
`Endpoint(java.lang.String uri)` Constructs an `Endpoint` object using the given string identifier.

Method Summary
`java.lang.String` | `toString()` Retrieves a string representation of this `Endpoint` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

  A string that identifies the party that this `Endpoint` object represents; a URI is the default.

Constructor Detail

### Endpoint

    public Endpoint(java.lang.String uri)

  Constructs an `Endpoint` object using the given string identifier.

Parameters:
  `uri` - a string that identifies the party that this `Endpoint` object represents; the default is a URI

Method Detail

### toString

    public java.lang.String toString()

  Retrieves a string representation of this `Endpoint` object. This string is likely to be provider-specific, and programmers are discouraged from parsing and programmatically interpreting the contents of this string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a `String` with a provider-specific representation of this `Endpoint` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.